struct tagPktHeader {
   short origNode, destNode,
       year, month, day, hour, min, sec,
       baud,
       res1,
       origNet, destNet;

   char prodCode, serialNo;
   char password[8];
   short origZone, destZone;
   char fill[20];
};

struct tagMsgHeader {
   short flag;
   short origNode, destNode, origNet, destNet;
   unsigned short Attr;
   short cost;
   char DateTime[20];
};

typedef unsigned char byte;

struct tagIndexRec {
   unsigned short zone, net, node;
   byte year, month, day, hour, min;
   unsigned short size;
   unsigned short attrib;
   unsigned short fromNdx, toNdx, areaNdx, subjNdx;
};

typedef struct tagPktHeader PKTHEADER;
typedef struct tagMsgHeader MSGHEADER;
typedef struct tagIndexRec  INDEXREC;
